<?php
# ***** BEGIN LICENSE BLOCK *****
# This is Contact, a plugin for DotClear. 
# Copyright (c) 2005 k-net. All rights reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

if (!defined('DC_CONTEXT_ADMIN')) { exit; }


$count = array('once' => 0, 'session' => 0, 'all' => 0);
if (null !== $core->blog->settings->get('visites_countonce')) {
	$count['once'] = $core->blog->settings->visites_countonce;
}
if (null !== $core->blog->settings->get('visites_countsession')) {
	$count['session'] = $core->blog->settings->visites_countsession;
}
if (null !== $core->blog->settings->get('visites_countall')) {
	$count['all'] = $core->blog->settings->visites_countall;
}

if (!empty($_POST['count'])) {
	$count['once'] = $_POST['count']['once'];
	$count['session'] = $_POST['count']['session'];
	$count['all'] = $_POST['count']['all'];
	
	$core->blog->settings->setNamespace('visites');
	$core->blog->settings->put('visites_countonce',$count['once'],'int');
	$core->blog->settings->put('visites_countsession',$count['session'],'int');
	$core->blog->settings->put('visites_countall',$count['all'],'int');
	$core->blog->triggerBlog();
}
?>
<html>
<head>
<title><?php echo __('Visites'); ?></title>
</head>

<body>
<?php
echo '<h2>'.__('Visites').'</h2>';

echo '<p>&nbsp;</p>'.

'<h3>'.__('Display the counter').'</h3>'.

'<p>'.__('To display the counter on the page, you have to active the <em>Visites</em> widget by dragging it into the navigation sidebar from the').
' <a href="plugin.php?p=widgets">'.__('the widget page').'</a> '.__('and click on the &quot;update sidebars&quot; button.').'</p>'.

'<p>'.__('To set and personalize the displaying, use the widget.').'</p>';

echo '<p>&nbsp;</p>'.

'<h3>'.__('Current values of the counters').'</h3>'.
'<form action="'.$p_url.'" method="post">'.

'<p><strong>'.__('Displayed pages counter').'</strong><br />'.
__('Each displayed page increases this counter. It\'s a kind of click counter.').'<br />'.
__('Value :').' <input type="text" name="count[all]" value="'.$count['all'].'" style="width: 40px;" /> '.'</p>'.

'<p><strong>'.__('Session visits counter').'</strong><br />'.
__('When a visitor connects to your blog, this counter is increased. '.
'During his or her whole session (while he or she is browsing), he or she doesn\'t increase this counter.').'<br />'.
__('If he or she comes back later, this counter is increased again.').'<br />'.
__('Value :').' <input type="text" name="count[session]" value="'.$count['session'].'" style="width: 40px;" /> '.'</p>'.

'<p><strong>'.__('Single visitors counter').'</strong><br />'.
__('When a visitor connects to your blog for the first time, this counter is increased. '.
'This visitor won\'t never increase this counter again.').'<br />'.
__('Value :').' <input type="text" name="count[once]" value="'.$count['once'].'" style="width: 40px;" /> '.'</p>'.

'<p><input type="submit" value="'.__('save').'" /></p>'.
'</form>';

echo '<p>&nbsp;</p>'.

'<h3>'.__('Counters').'</h3>'.

'<p>'.__('Here is the installed counters list.').'<br />'.
__('You can choose wich counter use by setting the <em>Visites</em> widget.').'</p>'.
'<p>'.__('To add your own counter, create a folder in <ins>plugins/visites/counters/</ins> and put the pictures (<ins>0.png</ins>, <ins>1.png</ins>, <ins>2.png</ins>...) into.').
'</p>';

$counters_dir = dirname(__FILE__).'/counters';
$do = opendir($counters_dir);
while ($dir = readdir($do)) {
	if ($dir != '.' && $dir != '..' && is_dir($counters_dir.'/'.$dir)) {
		echo '<p><strong>'.$dir.'</strong><br />';
		for ($i = 0; $i < 10; $i++) {
			echo '<img src="index.php?pf=visites/counters/'.$dir.'/'.$i.'.png" alt="'.$i.'" />';
		}
		echo '</p>';
	}
}
closedir($do);

?>
</body>
</html>